Skip to main content
GET
/
v1
/
shipping
/
retailers
/
{id}
/
identifiers
/
{identifier_id}
Get one Retailer Identifier
curl --request GET \
  --url https://{base_url_domain}/api/global/v1/shipping/retailers/{id}/identifiers/{identifier_id} \
  --header 'Authorization: Bearer <token>'
{
  "resource": {
    "qualifier": "duns",
    "value": "123456789",
    "type": "RetailerIdentifier",
    "id": 42,
    "qualifier_x12": "01",
    "label": "Primary EDI DUNS",
    "is_primary": true,
    "notes": "Created from SPS onboarding kit.",
    "retailer": {
      "type": "Retailer",
      "id": 2
    },
    "created_at": "2026-05-26T12:34:56Z",
    "updated_at": "2026-05-26T12:34:56Z"
  }
}

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the parent Retailer.

Required range: x >= 1
identifier_id
integer<int32>
required

The id of the referenced RetailerIdentifier.

Required range: x >= 1

Query Parameters

fields
enum<string>[]

Specify additional fields of the RetailerIdentifier object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
qualifier,
qualifier_x12,
value,
label,
is_primary,
notes,
retailer,
created_at,
updated_at
fields:retailer
enum<string>[]

Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.

Available options:
basic,
all,
code,
name,
status,
fulfillment_model,
merchant,
parent_retailer,
legal_name,
dba,
default_duties_payor,
default_shipping_method,
allowed_shipping_methods,
default_tpb_group_id,
routing_guide_notes,
custom_fields,
created_at,
updated_at

Response

OK

resource
RetailerIdentifier · object

A RetailerIdentifier represents an EDI / trading-partner identifier attached to a Retailer (e.g. DUNS, GLN, SPS Trading Partner ID).